define(function(){
    return {
        showVideo: function () {
            var src,
                $ly = $(".layout"),
                $con = $(".video-alert"),
                $vd = $(".video-code"),
                $vs = $(".video-show"),
                $vc = $(".video-close");
            $ly.css("height", $(document).height());
            $vs.on("click", function (event) {
                event.preventDefault();
                src = $(this).data("src");
                if (!src) return SQ.alert('<p style="text-align: center">敬请期待!</p>');
                $vd.html('<embed width="100%" height="100%" title="视频鉴赏" wmode="transparent" src="http://ptres.37.com/swf/flvplayer.swf" allowfullscreen="true" flashvars="vcastr_file=' + src + '&amp;LogoText=37&amp;IsAutoPlay=1" quality="high" pluginspage="http://www.macromedia.com/go/getflashplayer" type="application/x-shockwave-flash">');
                $ly.show();
                $con.show();
                return false;
            });
            $vc.on("click", function (e) {
                e.preventDefault();
                $con.hide();
                $vd.html("");
                $ly.hide();
                return false;
            });
        }
    };
});
